using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.PF;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.HM
{
  [Description("年度风险评价计划")]
  public partial class T_HM_EVALUATION_SCHEDULE : MesEntityBase
  {
        [Description("开始时间")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime START_TIME { get; set; }
        [Description("表单名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string FORM_NAME { get; set; }
        [Description("触发周期")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [EnumName("HMCycleEnum")]
        public HMCycleEnum Cycle { get; set; }
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public FMEnableStatusEnum STATUS { get; set; }

        [Description("审批角色")]
        [DataFieldForeignKey("Nav_ApproveRole")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public Guid? APPROVE_ROLE_ID { get; set; }

        [Description("导航属性：审批角色")]
        public T_PF_APPROVAL_ROLE Nav_ApproveRole { get; set; }
    }
}
